Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class XWPFHyperlinkRun

    java.lang.Object
      org.apache.poi.xwpf.usermodel.XWPFRun
          org.apache.poi.xwpf.usermodel.XWPFHyperlinkRun

    public class XWPFHyperlinkRun

extends XWPFRun

A run of text with a Hyperlink applied to it. Any given Hyperlink may be made up of multiple of these.

Constructor Summary
`XWPFHyperlinkRun(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHyperlink hyperlink, org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR run, XWPFParagraph p)`

Method Summary
`java.lang.String` | `getAnchor()`
`org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHyperlink` | `getCTHyperlink()`
`XWPFHyperlink` | `getHyperlink(XWPFDocument document)` If this Hyperlink is an external reference hyperlink, return the object for it.
`java.lang.String` | `getHyperlinkId()` Returns the ID of the hyperlink, if one is set.
`void` | `setHyperlinkId(java.lang.String id)`

Methods inherited from class org.apache.poi.xwpf.usermodel.XWPFRun
`addBreak, addBreak, addBreak, addCarriageReturn, getCTR, getEmbeddedPictures, getFontFamily, getFontSize, getParagraph, getPictureText, getSubscript, getText, getTextPosition, getUnderline, isBold, isItalic, isStrike, removeBreak, removeCarriageReturn, setBold, setFontFamily, setFontSize, setItalic, setStrike, setSubscript, setText, setText, setTextPosition, setUnderline, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XWPFHyperlinkRun

    public XWPFHyperlinkRun(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHyperlink hyperlink,
                            org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR run,
                            XWPFParagraph p)

Method Detail

### getCTHyperlink

    public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHyperlink getCTHyperlink()

### getAnchor

    public java.lang.String getAnchor()

### getHyperlinkId

    public java.lang.String getHyperlinkId()

  Returns the ID of the hyperlink, if one is set.

### setHyperlinkId

    public void setHyperlinkId(java.lang.String id)

### getHyperlink

    public XWPFHyperlink getHyperlink(XWPFDocument document)

  If this Hyperlink is an external reference hyperlink, return the object for it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.